# AutomaticSize

## Overview

AutomaticSize는 UI 요소의 자동 크기 조정 방향을 지정하는 Enum입니다.

GuiBase 및 그 하위 클래스에서 AutomaticSize 속성으로 사용되며, UI 요소가 자식 요소의 크기에 따라 자동으로 크기를 조정할 방향을 결정합니다.

## Items

| Name | Value | Description                                  |
| ---- | ----- | -------------------------------------------- |
| None | 0     | 자동 크기 조정을 사용하지 않습니다. Size 속성으로 직접 크기를 지정합니다. |
| X    | 1     | X축(가로) 방향으로만 자동 크기 조정을 수행합니다.                |
| Y    | 2     | Y축(세로) 방향으로만 자동 크기 조정을 수행합니다.                |
| XY   | 3     | X축과 Y축 모두에 대해 자동 크기 조정을 수행합니다.               |

## See also

{% content-ref url="/pages/3ZD3aesnKsNkb6DFgwBk" %}
[ScrollingFrame](/korean/development/api-reference/classes/scrollingframe.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/automaticsize.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
